package propertyEditors;

import java.awt.Font;
import javax.swing.AbstractButton;
import javax.swing.JComponent;


public abstract class PEAbstractButtonBuilder extends PropertyEditorBuilder {

  public AbstractButton button;

  public PEAbstractButtonBuilder(final Object obj,
                                 String name,
                                 AbstractButton button) {
    this.button = button;
    button.setFont(button.getFont().deriveFont(Font.BOLD).deriveFont(16f));
    init(obj, name);
  }

  public JComponent getSwingJComponent() {return button;}

}